#Durid相关配置是否启用
# { "type" : "env", "value" : "true"}
#weaver.druid.enabled=true
#Durid相关配置初始化时建立物理连接的个数
# { "type" : "env", "value" : "30"}
spring.datasource.druid.initialSize=3
#Durid相关配置是否使用非公平锁
# { "type" : "env", "value" : "true"}
spring.datasource.druid.useUnfairLock=true
#Durid相关配置最小连接池数量
# { "type" : "env", "value" : "30"}
spring.datasource.druid.minIdle=3
#Durid相关配置最大连接池数量
# { "type" : "env", "value" : "100"}
spring.datasource.druid.maxActive=100
#Durid相关配置获取连接时最大等待时间，单位毫秒
# { "type" : "env", "value" : "60000"}
spring.datasource.druid.maxWait=60000
#配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
# { "type" : "fixed", "value" : "60000"}
spring.datasource.druid.timeBetweenEvictionRunsMillis=60000
#配置一个连接在池中最小生存的时间，单位是毫秒
# { "type" : "fixed", "value" : "180000"}
spring.datasource.druid.minEvictableIdleTimeMillis=180000
#配置一个连接在池中最大生存的时间，单位是毫秒
# { "type" : "fixed", "value" : "300000"}
spring.datasource.druid.maxEvictableIdleTimeMillis=300000
#Durid相关配置用来检测连接是否有效的sql，要求是一个查询语句
# { "type" : "env", "value" : "SELECT 1 FROM DUAL"}
spring.datasource.druid.validationQuery=SELECT 1 FROM DUAL
#Durid相关配置是否启用keepAlive
# { "type" : "env", "value" : "true"}
spring.datasource.druid.keepAlive=true
#Durid相关配置申请连接的时候检测
# { "type" : "env", "value" : "true"}
spring.datasource.druid.testWhileIdle=true
#Durid相关配置申请连接时执行validationQuery检测连接是否有效，配置为true会降低性能
# { "type" : "env", "value" : "false"}
spring.datasource.druid.testOnBorrow=false
#Durid相关配置归还连接时执行validationQuery检测连接是否有效，配置为true会降低性能
# { "type" : "env", "value" : "false"}
spring.datasource.druid.testOnReturn=false
#Durid相关配置stat监控sql最大数量
# { "type" : "env", "value" : "500"}
spring.datasource.druid.stat.sql.MaxSize=500
#分库分表较多的建议关闭,oracle情况建议开启
# { "type" : "env", "value" : "false"}
spring.datasource.druid.poolPreparedStatements=false
#排除jta自动加载配置类，以解决国产化中间件自动开启jta自动加载导致的启动失败
# { "type" : "fixed"}
spring.autoconfigure.exclude=org.springframework.boot.autoconfigure.transaction.jta.JtaAutoConfiguration
#Dubbo相关配置
#关闭注册中心启动时检查：（注册订阅失败时报错）
# { "type" : "fixed"}
dubbo.registry.check=false
#关闭所有服务的启动时检查：（没有提供者时报错）
# { "type" : "fixed"}
dubbo.consumer.check=false
#服务超时时间
# { "type" : "fixed"}
dubbo.provider.timeout=10000
#Dubbo限制最大数据传输 单位字节
# { "type" : "fixed"}
dubbo.provider.payload=16777216
#dubbo业务线程池类型 cached 缓存线程池，闲暇一分钟主动删除，须要时重建 fixed 固定大小线程池，启动时建设线程，不敞开，始终持有；(默认) limited 可伸缩线程池，但池中的线程数只会增长不会膨胀。eager 优先创立Worker线程池
# { "type" : "fixed"}
dubbo.protocol.threadpool=cached
#dubbo线程池大小
# { "type" : "fixed"}
dubbo.protocol.threads=1000
#dubbo协议核心线程数
# { "type" : "fixed"}
dubbo.protocol.corethreads=50
#是否使用元数据中心，配置决定是否需要将元数据发布到元数据中心
# { "type" : "fixed"}
dubbo.registry.use-as-metadata-center=false
#dubbo支持得telnet操作
# { "type" : "fixed"}
dubbo.protocol.telnet=ls,ps,cd,pwd,trace,count,invoke,select,status,log,help,clear,exit,shutdown
#dubbo 内部适配框架指定
# { "type" : "fixed"}
dubbo.application.logger=slf4j
#swagger开关配置
# { "type" : "fixed"}
weaver.swagger.enabled=false
#公共的拦截过滤配置
# { "type" : "fixed"}
http.filter.common.exclusions=papi/druid/*
#mq相关配置
# { "type" : "env"}
weaver.async.channel=rabbitmq
#mq相关配置是否在启动时自动启动容器
# { "type" : "fixed"}
spring.rabbitmq.listener.direct.auto-startup=true
#mq相关配置是否在启动时自动启动容器
# { "type" : "fixed"}
spring.rabbitmq.listener.simple.auto-startup=true
#mq相关配置地址
# { "type" : "env"}
spring.rabbitmq.host=127.0.0.1
#mq相关配置端口
# { "type" : "env"}
spring.rabbitmq.port=5672
#mq相关配置un
# { "type" : "env"}
spring.rabbitmq.username=admin
#mq相关配置pw
# { "type" : "env"}
spring.rabbitmq.password=admin
#部署方式
# private-私有化部署，public-E10 saas部署，默认为private
# 如果该项不配置，等同于private（即私有化部署时该值会隐藏掉）
# { "type" : "env","value":"private"}
weaver.deploy=private
#运行环境
# develop,test,release,verify,beta,txproduction
# { "type" : "env","value":"txproduction"}
weaver.env=txproduction
#是否为单体环境
# true-单体环境，false-非单体环境
# 如果该项不配置，等同于false
# { "type" : "env"}
weaver.allinone=false
#域名
#主域名
# { "type" : "env"}
primary.domain=https://[weapp]
#是否启用loadbalancer
# { "type" : "env"}
spring.cloud.loadbalancer.retry.enabled=false
#是否启用license监控
# { "type" : "fixed"}
weaver.license.forceCheckLicense=true
#改成true，全量打印sql信息,全量打印sql参数信息
# { "type" : "fixed"}
weaver.mybatis-plus.monitor-sql.error=false
#改成true，全量打印sql信息,全量打印sql参数信息
# { "type" : "fixed"}
weaver.mybatis-plus.monitor-sql.param=false
#公共库脚本执行数据源配置，仅测试环境使用，不要提交到线上，不要提交到私有化
# { "type" : "delete","name":"commondb.enable"}
commondb.enable=true
#数据库类型
#{when:["commondb.enable=true"],"type":"env"}
spring.datasource.dbType=mysql
#公共库驱动
#{when:["commondb.enable=true"],"type":"env"}
commondb.spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#公共库url
#{when:["commondb.enable=true"],"type":"env"}
commondb.spring.datasource.url=jdbc:mysql://127.0.0.1:3306/eteams?characterEncoding=utf8&useSSL=false&autoReconnect=true&failOverReadOnly=false&serverTimezone=Asia/Shanghai&allowPublicKeyRetrieval=true&allowMultiQueries=true
#公共库驱动username
#{when:["commondb.enable=true"],"type":"env"}
commondb.spring.datasource.username=eteams
##公共库驱动password
#{when:["commondb.enable=true"],"type":"env"}
commondb.spring.datasource.password=xvpdTY#PQBJI68xuhw8gf
#产品名称，线上eteams 私有化 e-cology
# { "type" : "env","value":"e-cology"}
weaver.productionName=e-cology
#数据库占位符
# { "type" : "env"}
database.placeholder=publicdb/eteams,project_ebformdb/ebuilder_form
#记录大结果集查询结果的sql
# { "type" : "fixed"}
weaver.mybatis-plus.monitor-sql.sqlCount.limit.log=false
# 业务模块使用配置map，供业务模块使用的配置，必需放至此map中，不允许单独配置
#域名
#主域名
#{"isRealTime":true,"type" : "env"}
weaver.dataMap[primary.domain]=https://[weapp]
#open-gateway二级域名
#{"isRealTime":true,"type" : "env"}
weaver.dataMap[opengateway.domain]=https://[open-server]
#ebridge域名
#{"isRealTime":true,"type" : "env"}
weaver.dataMap[ebridge.domain]=${weaver.dataMap[primary.domain]}
#voice域名
#{"isRealTime":true,"type" : "env"}
weaver.dataMap[voice.domain]=${weaver.dataMap[primary.domain]}
#passport域名
#{"isRealTime" : true,"type" : "env","value" : "${weaver.dataMap[primary.domain]}"}
weaver.dataMap[passport.domain]=https://[weapp]
#文档分享地址
#{"isRealTime":true,"type" : "env"}
weaver.dataMap[docShare.domain]=http://[weapp]
#开放平台地址
#{"isRealTime":true,"type" : "env"}
weaver.dataMap[openApi.domain]=${weaver.dataMap[opengateway.domain]}/api
#sapi调用域名
#{"isRealTime":true,"type" : "env"}
weaver.dataMap[sapi.domain]=http://[weaver-em-msg-service]/papi/proxy
#im域名
#{"isRealTime":true,"type" : "env"}
weaver.dataMap[im.domain]=http://[im]
#文件服务域名
#{"isRealTime":true,"type" : "env"}
weaver.dataMap[file.domain]=https://[eteams-file]
#统一认证域名
#{"isRealTime":true,"type" : "env"}
weaver.dataMap[intunifyauth.domain]=http://[weaver-intunifyauth-backserver-service]
#tenant域名
#{"isRealTime":true, "type" : "env","value" : "${weaver.dataMap[primary.domain]}"}
weaver.dataMap[tenant.domain]=https://[weaver-tenant]
#url域名
#{"isRealTime":true, "type" : "env","value" : "${weaver.dataMap[primary.domain]}"}
weaver.dataMap[url.domain]=http://[eteams-url]
#运营平台域名
#{"isRealTime":true, "type" : "env","value" : ""}
weaver.dataMap[operation.domain]=http://127.0.0.1
#服务协议
#{"type" : "env"}
server.schema=http
#feign启用http开关
#{"type" : "fixed"}
feign.httpclient.enabled=false
#统一日志级别
#{"type" : "env"}
logging.level.com.weaver=ERROR
#新增数据库类型
# { "type" : "fixed"}
spring.datasource.dbTypeToMock={"ob":"mysql","oboracle":"oracle"}
#{ "type" : "fixed"}
spring.zipkin.enabled=false
#{ "type" : "fixed"}
spring.sleuth.enabled=false
#jackson配置返回时间戳
#{"type":"fixed"}
spring.jackson.serialization.write-date-keys-as-timestamps=true
#jackson相关配置配置返回时间戳
#{"type":"fixed"}
spring.jackson.serialization.write-dates-as-timestamps=true
#jackson全局设置pojo或被@JsonInclude注解的属性的序列化方式
#{"type":"fixed"}
spring.jackson.default-property-inclusion=NON_NULL
#jackson相关配置是否忽略未知的枚举值
#{"type":"fixed"}
spring.jackson.deserialization.READ_UNKNOWN_ENUM_VALUES_AS_NULL=true
#jackson相关配置
#{"type":"fixed"}
spring.jackson.serialization.fail_on_empty_beans=false
#jackson时区
#{"type":"env", "value":"${weaver.time-zone}"}
spring.jackson.time-zone=${weaver.time-zone}
#j时区
#{"type":"env", "value":null}
weaver.time-zone=GMT+8
#禁用监控HTTP端点
# { "type" : "fixed"}
management.server.port=-1
#dubbo.scan.base-package扫描路径
# { "type" : "fixed", "value":"com.weaver"}
weaver.rpc.scan.base-packages=com.weaver
